import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabnav/tabnav.module').then( m => m.TabnavPageModule)
  },
  {
    path: 'lights',
    loadChildren: () => import('./lights/lights.module').then( m => m.LightsPageModule)
  },
  {
    path: 'sunblinds',
    loadChildren: () => import('./sunblinds/sunblinds.module').then( m => m.SunblindsPageModule)
  },
  {
    path: 'airconditioning',
    loadChildren: () => import('./airconditioning/airconditioning.module').then( m => m.AirconditioningPageModule)
  }
];

@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule { }
